Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeKeyPairsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeKeyPairsResult

    public class DescribeKeyPairsResult

extends Object

The result of describing a user's key pairs.

Constructor Summary
`DescribeKeyPairsResult()`

Method Summary
`List<KeyPairInfo>` | `getKeyPairs()` The list of described key pairs.
`void` | `setKeyPairs(Collection<KeyPairInfo> keyPairs)` The list of described key pairs.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeKeyPairsResult` | `withKeyPairs(Collection<KeyPairInfo> keyPairs)` The list of described key pairs.
`DescribeKeyPairsResult` | `withKeyPairs(KeyPairInfo... keyPairs)` The list of described key pairs.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeKeyPairsResult

    public DescribeKeyPairsResult()

Method Detail

### getKeyPairs

    public List<KeyPairInfo> getKeyPairs()

  The list of described key pairs.

  Returns:
    The list of described key pairs.

### setKeyPairs

    public void setKeyPairs(Collection<KeyPairInfo> keyPairs)

  The list of described key pairs.

  Parameters:
    `keyPairs` - The list of described key pairs.

### withKeyPairs

    public DescribeKeyPairsResult withKeyPairs(KeyPairInfo... keyPairs)

  The list of described key pairs.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `keyPairs` - The list of described key pairs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withKeyPairs

    public DescribeKeyPairsResult withKeyPairs(Collection<KeyPairInfo> keyPairs)

  The list of described key pairs.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `keyPairs` - The list of described key pairs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.